%define major 1
%define program_name snortsnarf.pl

Summary:	Snort HTML LOG converter
Name:		SnortSnarf
Version:	020516.1
Release:	4mdk
Source:		%{name}-%{version}.tar.bz2
Patch0:		%{name}-020126.1.perl-path.patch.bz2
License:	GPL
URL:		http://www.silicondefense.com/snortsnarf/
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Group:		Monitoring
Requires:	snort >= 1.7 perl >= 5.6.1
%define _requires_exceptions perl(BasicFilters)\\|perl(BasicSorters)\\|perl(IPAddrContact)\\|perl(KnownEquiv)\\|perl(TimeFilters)\\|perl(ann_xml.pl)\\|perl(sisr_utils.pl)\\|perl(web_utils.pl)
BuildArch:	noarch

%description
This program creates a set of HTML pages to allow you to quickly and 
conveniently navigate around output files of the Snort intrusion detection 
system(http://www.snort.org/).

%prep
%setup -q
%patch -p1

%build
cd Time-modules
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%perl_vendorlib/Time
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man3
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
mkdir -p $RPM_BUILD_ROOT/var/www/cgi-bin
cp -a include/* $RPM_BUILD_ROOT%perl_vendorlib/
cp -a Time-modules/blib/man3/*.3* $RPM_BUILD_ROOT/%{_mandir}/man3
cp -a Time-modules/blib/lib/Time/* $RPM_BUILD_ROOT%perl_vendorlib/Time
cp -a %{program_name} $RPM_BUILD_ROOT%{_bindir}
cp -a {utilities/*,nmap2html/*.pl} $RPM_BUILD_ROOT%{_bindir}
perl -p -i -e 's|snort\.alert|syslog|' $RPM_BUILD_ROOT%{_bindir}/%{program_name}
cp -a {Changes,README,nmap2html/README.nmap2html,sisr/README.SISR,COPYING,Usage,sisr} \
$RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -a cgi/* $RPM_BUILD_ROOT/var/www/cgi-bin

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%{perl_vendorlib}/*
%{_bindir}/*
%{_docdir}/*
%{_mandir}/man3/*
/var/www/cgi-bin/*

%changelog
* Wed Nov 12 2003 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 020516.1-4mdk
- Remove 8 bad automatic requires using _requires_exceptions

* Thu Aug 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 020516.1-3mdk
- rebuild for new perl

* Tue Jul 22 2003 Per yvind Karlsen <peroyvind@sintrax.net> 020516.1-2mdk
- rebuild
- cosmetics
- rm -rf $RPM_BUILD_ROOT at the beginning of %%install

* Fri Aug 30 2002 Florin <florin@mandrakesoft.com> 020516.1-1mdk
- 020516.1

* Mon Aug  5 2002 Pixel <pixel@mandrakesoft.com> 020126.1-3mdk
- move files from vendorarch to vendorlib where they belong
- BuildArch: noarch

* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 020126.1-2mdk
- rebuild for perl 5.8.0

* Fri Mar 16 2002 Florin <florin@mandrakesoft.com> 020126.1-1mdk
- 020126.1
- update the patch

* Thu Oct 25 2001 Stefan van der Eijk <stefan@eijk.nu> 010821.1-2mdk
- BuildRequires: perl-devel

* Thu Oct 11 2001 Florin <florin@mandrakesoft.com> 010821.1-1mdk
- 010821.1

* Mon Apr 23 2001 Florin Grad <florin@mandrakesoft.com> 041501.1-1mdk
- new version
- add the perl-path.patch

* Wed Apr 3 2001 Florin Grad <florin@mandrakesoft.com> 011601.1-1mdk
- First attempt.
